Bug 22947 - Markup error in OPAC preferences file
Summary: Markup error in OPAC preferences file
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 13:05 UTC by Owen Leonard
Modified: 2019-06-11 16:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22947: Markup error in OPAC preferences file (2.81 KB, patch)
2019-05-21 13:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22947: Markup error in OPAC preferences file (2.86 KB, patch)
2019-05-24 20:23 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22947: Markup error in OPAC preferences file (2.93 KB, patch)
2019-05-27 21:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 13:05:04 UTC
opac.pref contains a markup error which can cause errors in the display. On line 124:

<code>OpenURLText<code>

Should be:

<code>OpenURLText</code>
Comment 1 Owen Leonard 2019-05-21 13:43:29 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-24 20:23:30 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 21:09:59 UTC
Created attachment 90130 [details] [review]
Bug 22947: Markup error in OPAC preferences file

This patch corrects a markup error in the OPAC .pref file which can
cause display problems. The patch also corrects a validator warning by
changing at <tt> to a <code>.

To reproduce the problem, go to Administration -> Global system
preferences -> OPAC.

Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses two specific errors:

 - "Unclosed element code."
 - "The tt element is obsolete. Use CSS instead."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the display.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-03 17:51:57 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-10 14:03:54 UTC
Pushed to 19.05.x for 19.05.01
Comment 6 Lucas Gass 2019-06-11 16:01:55 UTC
backported to 18.11.x for 18.11.07